Skip to navigation

List Security Groups

Retrieves a list of security groups available to Eon in the specified region of the restore account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the restore account is in. You can get your project ID from the API Credentials page in your global management console.

accountIdstringRequiredformat: "uuid"

Eon-assigned ID of the restore account.

regionstringRequired
Region where the security groups are located.

Query parameters

vpcIdstringOptional
ID of the VPC to filter security groups by.
subnetIdstringOptional
ID of the subnet to filter security groups by.

Response

Security groups retrieved.
regionstring
Region where the security groups are located.
securityGroupslist of objects
List of security groups.